cap log close
log using do\describe,replace
*************************************************************
*                                                           *
*    Name    : DESCRIBE.DO           V : 01                 *
*    Date    : JUN  2, 1997                                 *
*    Infile  : A lot                                        *
*    Outfile : NONE                                         *
*    Author  :                                              *
*                                                           *
*    OBJECTIVE: Get descriptive statistics                  *
*************************************************************
set more 1
clear
*****************************************************
** Get a describe and summary out of a group of files
*****************************************************

capture program drop cdes
program define cdes 
  set more 1
  capture log close
  log using do/`1', replace               /*Quick way to read*/
  display "Get list of variables and summary statistics of data files"
  display ""
  
  local fnum 1
  while "`2'" ~= "" {
         display "&===================================================="
         display "Working on File Number " `fnum' " File Name " "`2'"     
         display "===================================================="
         use `2',clear
         des
         lab list
         sum,f
         local fnum = `fnum'+1
         mac shift
   }
log close
end

#delimit;

/*
cdes des_core 
SEC00    
SEC011   
SEC012   
SEC02    
SEC031   
SEC032   
SEC033   
SEC034A  
SEC034B  
SEC041   
SEC042   
SEC051   
SEC052A  
SEC052B  
SEC061   
SEC062A  
SEC062B  
SEC062C  
SEC063   
SEC064   
SEC071A  
SEC071B  
SEC072A  
SEC072B  
SEC081   
SEC082   
SEC091   
SEC092A  
SEC092B  
SEC093   
SEC10    
SEC111   
SEC112   
SEC121   
SEC122  
;
*/
cdes des_add
 weights
 corehh
 expagg;

