#delimit ;
cap log close;
log using do\inv2,replace;
**********************************************************;
*                                                        *;
*    Name     : inv2.DO                V : 01            *;
*    Date     : Dec 30, 1996                             *;
*    Infiles  :                                          *;
*    Outfiles :                                          *;
*                                                        *;
*    OBJECTIVE: investigation - temporary                *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use "J:\DATAHOUS\DTA\COREHH.DTA", clear;

keep hhnum hhsize settlm;

merge hhnum using sec10;

keep if _merge==3;

keep if fooditem<=107;

replace fpurqua=fpurval/fdprice if fpurqua==. & fdprice~=.;

egen food = rsum(fpurqua fdprod fdreceiv);

sort hhnum;

gen a = fpurqua if fooditem==102;
gen b = fdprod*0.9 if fooditem==103;
gen c = fdprod*1.4 if fooditem==104;

egen puwheat  = sum(a), by(hhnum);
egen prbreads = sum(b), by(hhnum);
egen prbreadl = sum(c), by(hhnum);

sort hhnum;

qui by hhnum: keep if _n==1;

gen prbread=prbreads+prbreadl;

keep hhnum hhsize puwheat prbread;
sort hhnum;

merge hhnum using pccal;

list hhnum caltot1 puwheat prbread if abs(prbread*.7-puwheat)<=5 
     & prbread~=0 & puwheat~=0;

list hhnum caltot1 puwheat prbread if abs(prbread-puwheat)<=2 
     & prbread~=0 & puwheat~=0;


sum;



log close;


