#delimit ;
cap log close;
log using do\inv4,replace;
**********************************************************;
*                                                        *;
*    Name     : inv4.DO                V : 01            *;
*    Date     : Jan 05, 1996                             *;
*    Infiles  :                                          *;
*    Outfiles :                                          *;
*                                                        *;
*    OBJECTIVE: investigation - temporary                *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

use pexpdat;

gen orc_unit=round(orc_ov/orc_oa,0.1); *have to do this b/c of comparisons later;
gen pas_unit=round(pas_ov/pas_oa,0.1);
gen cro_unit=round(cro_ov/cro_oa,0.1); 

sum orc_unit pas_unit cro_unit, det;

sum orc_ov if orc_ov>0, det;
sum pas_ov if pas_ov>0, det;
sum cro_ov if cro_ov>0, det;

sum nfa_veh if nfa_veh>0, det;
sum nfa_oth if nfa_oth>0, det;
sum nfa_inv if nfa_inv>0, det;

sum fa_mach if fa_mach>0, det;

sum anim_l_v if anim_l_v>0, det;
sum anim_m_v if anim_m_v>0, det;
sum anim_s_v if anim_s_v>0, det;




log close;


