#delimit ;
cap log close;
log using do\inv1,replace;
**********************************************************;
*                                                        *;
*    Name     : inv1.DO                 V : 01           *;
*    Date     : Dec 30, 1996                             *;
*    Infiles  :                                          *;
*    Outfiles :                                          *;
*                                                        *;
*    OBJECTIVE: investigation - temporary                *;
**********************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

/*
use fdexp;
keep hhnum fprod*;
keep if fprod>0;

merge hhnum using pexpdat;
tab _merge;
keep if _merge==3;
drop _merge;
*keep if (orc_oa==0&pas_oa==0&cro_oa==0);
keep hhnum fprod* anim_lg anim_med anim_sm tothhx1;
sort hhnum;

merge hhnum using sec062b;
tab _merge;
drop if _merge==2;
drop _merge;
sort hhnum;

merge hhnum using sec062c;
tab _merge;
drop if _merge==2;
drop _merge;
sort hhnum;

egen landown = rsum(alowna1 alowna2 alowna3);
egen landoth = rsum(alstate1 alstate2 alstate3 alrenta1 alrenta2 alrenta3);
gen land = landown+landoth;
egen animal = rsum(anim_lg anim_med anim_sm);

count if anim_lg+anim_med+anim_sm>0 & land==0;

keep hhnum land* fprod* anim* tothhx1;
sum;


list hhnum fprod_1 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_1>0&fprod_1~=.&land==0, noobs nodisp;
list hhnum fprod_2 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_2>0&fprod_2~=.&land==0, noobs nodisp;
list hhnum fprod_3 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_3>0&fprod_3~=.&animal==0, noobs nodisp;
list hhnum fprod_5 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_5>0&fprod_5~=.&animal==0, noobs nodisp;
list hhnum fprod_6 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_6>0&fprod_6~=.&(animal==0&land==0), noobs nodisp;
list hhnum fprod_7 anim_lg anim_med anim_sm land* tothhx1 
     if fprod_7>0&fprod_7~=.&land==0, noobs nodisp;

*/

use pexpdat;
keep hhnum tothhx1;

merge hhnum using sec062b;
tab _merge;
drop if _merge==2;
drop _merge;
sort hhnum;

merge hhnum using sec062c;
tab _merge;
drop if _merge==2;
drop _merge;
sort hhnum;

egen landown = rsum(alowna1 alowna2 alowna3);
egen landoth = rsum(alstate1 alstate2 alstate3 alrenta1 alrenta2 alrenta3);
gen land = landown+landoth;

keep hhnum land* tothhx1;
sum;

merge hhnum using sec064;
tab _merge;
drop if _merge==2;
drop _merge;
sort hhnum;
egen lvstock = rsum(lvown1-lvown6);

merge hhnum using sec061;
tab _merge;

list hhnum pcode agritime agriwks agrihrsw 
     if agritime==1&land==0&lvstock==0, noobs;

 




log close;


