#delimit ;
cap log close;
log using do\labmerge,replace;
****************************************************************;
*                                                              *;
*    Name     : LABMERGE.DO                                    *;
*    OBJECTIVE: Check merging between roster and labor sections*;
****************************************************************;
clear;
set more 1;
set log linesize 160;
set display linesize 160;

/*
**check merge between roster and sec031
; 
use coreind;
keep hhnum pcode gender age present;
keep if age>=16;

merge hhnum pcode using sec031;
drop if hhnum==10321|hhnum==220106|hhnum==640316|hhnum==680825|
        hhnum==460125; 
tab _merge;  

list hhnum pcode age gender present if _merge==1 & present~=0, nodisp;
     *persons who should have sec031 data;

**check merge between roster and sec032
; 
use coreind, clear;
keep hhnum pcode gender age present;
keep if age>=16;

merge hhnum pcode using sec032;
drop if hhnum==10321|hhnum==220106|hhnum==640316|hhnum==680825|
        hhnum==460125; 
tab _merge;  

**check merge between roster and sec033
; 
use coreind, clear;
keep hhnum pcode gender age present;
keep if age>=16;

merge hhnum pcode using sec033;
drop if hhnum==10321|hhnum==220106|hhnum==640316|hhnum==680825|
        hhnum==460125; 
tab _merge;  
*/

**check merge between sec031 and sec032
; 
use sec031, clear;
keep if lookwork==1;

merge hhnum pcode using sec032;
drop if hhnum==10321|hhnum==220106|hhnum==640316|hhnum==680825|
        hhnum==460125; 
tab _merge;  


log close;
